'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Weekdays;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _PropTypes = require('./PropTypes');

var _PropTypes2 = _interopRequireDefault(_PropTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Weekdays(_ref) {
  var locale = _ref.locale;
  var localeUtils = _ref.localeUtils;

  var days = [];
  for (var i = 0; i < 7; i++) {
    days.push(_react2.default.createElement(
      'div',
      { key: i, className: 'DayPicker-Weekday' },
      _react2.default.createElement(
        'abbr',
        { title: localeUtils.formatWeekdayLong(i, locale) },
        localeUtils.formatWeekdayShort(i, locale)
      )
    ));
  }

  return _react2.default.createElement(
    'div',
    { className: 'DayPicker-Weekdays', role: 'rowgroup' },
    _react2.default.createElement(
      'div',
      { className: 'DayPicker-WeekdaysRow', role: 'columnheader' },
      days
    )
  );
}

Weekdays.propTypes = {
  locale: _react.PropTypes.string.isRequired,
  localeUtils: _PropTypes2.default.localeUtils.isRequired
};
//# sourceMappingURL=Weekdays.js.map